Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema
Class SOMExtension

    java.lang.Object
      |
      +--com.bea.schema.SOMObject
            |
            +--com.bea.schema.SOMExtension

Direct Known Subclasses:
  SOMComplexExtension, SOMRestriction

public class SOMExtension
extends SOMObject

<extension> This class acts as a wrapper to extension elements.

Since:
  6/19/2001
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`protected` | `SOMExtension()` The extension element cannot exist without specifying a base type.
`protected` | `SOMExtension(SOMObject parent, org.xml.sax.Attributes attrs)`
`` | `SOMExtension(SOMType base)` Constructs a new <extension> element of a given base type.

Method Summary
`SOMAnnotation` | `addAnnotation(SOMAnnotation annotation)`
`SOMAttribute` | `addAttribute(SOMAttribute attribute)` add an <attribute> to this complexType.
`SOMAttribute` | `addAttribute(java.lang.String name)`
`SOMAttribute` | `addAttribute(java.lang.String name, SOMType type)`
`SOMAttributeGroup` | `addAttributeGroup(SOMAttributeGroup attribute)` add an <attributeGroup> to this complexType.
`protected SOMObject` | `addChild(java.lang.String tagName, org.xml.sax.Attributes attrs)`
`boolean` | `contains(SOMObject child)` Determine if an object is child of this element.
`void` | `createDefault(DefaultDocumentOptions options, org.w3c.dom.Element current)` Not implemented.
`SOMAnnotation` | `getAnnotation()`
`java.util.Iterator` | `getAttributeElements()` returns an iterator over SOMAttribute(s) children.
`java.util.Iterator` | `getAttributeGroups()` returns an iterator over SOMAttributeGroup(s) children An extension will not have both Attribute(s) and AttributeGroup(s).
`java.util.Map` | `getAttributes(boolean getAll)` retrieve the attributes for this schema element.
`SOMType` | `getBase()` get the base attribute
`java.lang.String` | `getID()`
`java.util.Iterator` | `listAttributesExtended()` iterator over all attribute elements for this extension.
`void` | `removeAllAttributeGroups()` remove an all attribute sub-elements.
`void` | `removeAllAttributes()` remove an all attribute sub-elements.
`SOMAnnotation` | `removeAnnotation()` set the annotation for this type to null.
`SOMAttribute` | `removeAttribute(SOMAttribute attr)` remove an attribute sub-element.
`SOMAttributeGroup` | `removeAttributeGroup(SOMAttributeGroup attr)` remove an attribute group sub-element.
`void` | `setBase(SOMType type)` set the base type attribute
`void` | `setBase(java.lang.String type)` performs a type lookup for the type name.
`void` | `toXML(java.io.Writer rtn, int indent)`
`protected void` | `toXMLChildren(java.io.Writer rtn, int indent)`
`protected void` | `validate(org.w3c.dom.Node element, java.util.List errorList)`

Methods inherited from class com.bea.schema.SOMObject
`addPrefixMapping, attributesToXML, collectEffectivePrefixMappings, doIndent, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, namespacePrefixesToXML, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, toString, toXML, toXML, toXML, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SOMExtension

    protected SOMExtension()

  The extension element cannot exist without specifying a base type.

### SOMExtension

    public SOMExtension(SOMType base)

  Constructs a new <extension> element of a given base type.

  Parameters:
    `base` - type to be extended.

### SOMExtension

    protected SOMExtension(SOMObject parent,
                           org.xml.sax.Attributes attrs)

Method Detail

### setBase

    public void setBase(SOMType type)

  set the base type attribute

  Parameters:
    `type` - base

### setBase

    public void setBase(java.lang.String type)

  performs a type lookup for the type name.

  Parameters:
    `type` - type name to lookup

### getBase

    public SOMType getBase()

  get the base attribute

  Returns:

### getID

    public java.lang.String getID()

  Overrides:
    getID in class SOMObject

### addAnnotation

    public SOMAnnotation addAnnotation(SOMAnnotation annotation)

### getAnnotation

    public SOMAnnotation getAnnotation()

### removeAnnotation

    public SOMAnnotation removeAnnotation()

  set the annotation for this type to null.

  Returns:
    the removed annotation, or null if none was present

### getAttributeElements

    public java.util.Iterator getAttributeElements()

  returns an iterator over SOMAttribute(s) children. An extension will not have both Attribute(s) and AttributeGroup(s).

  Returns:
    an Iterator of SOMAttributes.

### getAttributeGroups

    public java.util.Iterator getAttributeGroups()

  returns an iterator over SOMAttributeGroup(s) children An extension will not have both Attribute(s) and AttributeGroup(s).

  Returns:
    an Iterator of SOMAttributeGroups.

### listAttributesExtended

    public java.util.Iterator listAttributesExtended()

  iterator over all attribute elements for this extension. The list of SOMAttributes includes any attributes contained in this extension and in any attributeGroup children.

  Returns:
    list of SOMAttribute(s)

### getAttributes

    public java.util.Map getAttributes(boolean getAll)

  retrieve the attributes for this schema element. If getAll is false, only the attributes that are not set to their default value are returned. If getAll is true, all possible attributes for this element will be returned.

  Parameters:
    `getAll` - get all attributes
  Returns:
    a Hashtable of attributes, where the attribute name and value are stored as strings.

### addChild

    protected SOMObject addChild(java.lang.String tagName,
                                 org.xml.sax.Attributes attrs)
                          throws org.xml.sax.SAXException

  Overrides:
    addChild in class SOMObject

### addAttribute

    public SOMAttribute addAttribute(java.lang.String name)

### addAttribute

    public SOMAttribute addAttribute(java.lang.String name,
                                     SOMType type)

### addAttribute

    public SOMAttribute addAttribute(SOMAttribute attribute)

  add an <attribute> to this complexType. <attribute> is mutually exclusive with simpleContent and complexContent, as well as, attributeGroup

  Parameters:
    `attribute` - the attribute to add
  Returns:
    the attribute reference added

### addAttributeGroup

    public SOMAttributeGroup addAttributeGroup(SOMAttributeGroup attribute)

  add an <attributeGroup> to this complexType. <attributeGroup> is mutually exclusive with simpleContent and complexContent, as well as, attribute

  Parameters:
    `attribute` - the attributeGroup to add
  Returns:
    the attributeGroup reference added

### removeAttribute

    public SOMAttribute removeAttribute(SOMAttribute attr)

  remove an attribute sub-element. Removes an attribute from this tree that was previously added.

  Parameters:
    `attr` -
  Returns:
    the attribute removed, or null if the object is not a sub-element

### removeAllAttributes

    public void removeAllAttributes()

  remove an all attribute sub-elements. Removes all attributes from this tree that was previously added.

### removeAttributeGroup

    public SOMAttributeGroup removeAttributeGroup(SOMAttributeGroup attr)

  remove an attribute group sub-element. Removes an attribute group from this tree that was previously added.

  Parameters:
    `attr` -
  Returns:
    the attribute group removed, or null if the object is not a sub-element

### removeAllAttributeGroups

    public void removeAllAttributeGroups()

  remove an all attribute sub-elements. Removes all attributes from this tree that was previously added.

### contains

    public boolean contains(SOMObject child)

  Determine if an object is child of this element.

  Parameters:
    `child` - the object in question
  Returns:
    true if the child is contained within this structure

### toXML

    public void toXML(java.io.Writer rtn,
                      int indent)
               throws java.io.IOException

  Overrides:
    toXML in class SOMObject

### toXMLChildren

    protected void toXMLChildren(java.io.Writer rtn,
                                 int indent)
                          throws java.io.IOException

### createDefault

    public void createDefault(DefaultDocumentOptions options,
                              org.w3c.dom.Element current)

  Not implemented.

  Parameters:
    `options` -
    `current` -

### validate

    protected void validate(org.w3c.dom.Node element,
                            java.util.List errorList)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)